using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsCE.Forms;


namespace InputMode_CS
{
    public partial class Form1 : Form
    {    
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Устанавливаем текстовый режим ввода текста
            InputModeEditor.SetInputMode(txtName, InputMode.AlphaCurrent);

            // Устанавливаем числовой режим ввода текста
            InputModeEditor.SetInputMode(txtPhone, InputMode.Numeric);
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void mnuText_Click(object sender, EventArgs e)
        {
            InputModeEditor.SetInputMode(textBox3, InputMode.AlphaABC);
        }

        private void mnuT9_Click(object sender, EventArgs e)
        {
            InputModeEditor.SetInputMode(textBox3, InputMode.AlphaT9);
        }

        private void mnuNumeric_Click(object sender, EventArgs e)
        {
            InputModeEditor.SetInputMode(textBox3, InputMode.Numeric);
        }
    }
}